
CoCoALib - Bug #986

GFan: require version newer than 0.6

28 Nov 2016 15:38 - John Abbott

Status: In Progress Start date: 28 Nov 2016

Priority: Low Due date:  

Assignee:  % Done: 10%

Category: Safety Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.95 hour

Description

Anders reports that gfanlib version 0.6 contained a bug.

We should either require that gfanlib be newer than 0.6, or print out a warning if it is not.

History

#1 - 28 Nov 2016 15:41 - John Abbott

Anders let us know by email (2016-11-28) about the problem in gfanlib.

I have already asked how a shell script can determine the version of gfanlib so that CoCoA's configuration process can detect is there is an old

version of gfanlib and give an appropriate error/warning.

Marked as low priority; anway we must wait for a new official release of gfanlib.

#2 - 30 Oct 2019 22:32 - John Abbott

2019-10-30  Update:  I now have gfanlib-0.6.2 (released 2018-09-28 according to GFanlib website).

However it still seems to be impossible to write a small program which can print out the version of Gfanlib.

We should write to Anders Jensen.

#3 - 29 Jan 2020 22:24 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

2020-01-28 I have written to Anders.  He is willing to put a GFANLIB_VERSION CPP macro in future versions (starting from 0.6.2, I think).

That would be enough for us.

I am hoping that the macro will have a nice value too.

#4 - 09 Mar 2020 10:35 - John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99800

#5 - 06 Oct 2020 15:31 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#6 - 21 Jan 2024 20:02 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
